Bug 151898 - b44 Ethernet driver oopses with ACPI
b44 Ethernet driver oopses with ACPI
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2005-03-23 06:36 EST by Didier
Modified: 2013-08-05 21:12 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1398
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-14 16:46:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Didier 2005-03-23 06:36:56 EST
Description of problem:

When ACPI is enabled, the b44 ethernet driver oopses when network activity (e.g.
DHCP lease request) occurs.


Version-Release number of selected component (if applicable):

kernel-2.6.11-1.1191_FC4


How reproducible:

Always


Steps to Reproduce:
1. boot kernel in single mode
2. modprobe b44
3. dhclient eth0

  
Actual results:

Oops :

Mar 23 11:18:19 localhost kernel: audit(1111573099.936:0): avc:  denied  { read
} for  pid=2324 exe=/sbin/ip path=/init dev=rootfs ino=11
scontext=user_u:system_r:ifconfig_t tcontext=system_u:object_r:root_t tclass=file
Mar 23 11:18:20 localhost kernel: ip_tables: (C) 2000-2002 Netfilter core team
Mar 23 11:18:20 localhost kernel: ip_tables: (C) 2000-2002 Netfilter core team
Mar 23 11:19:09 localhost kernel: b44.c:v0.95 (Aug 3, 2004)
Mar 23 11:19:09 localhost kernel: ACPI: PCI interrupt 0000:03:00.0[A] -> GSI 11
(level, low) -> IRQ 11
Mar 23 11:19:09 localhost kernel: eth1: Broadcom 4400 10/100BaseT Ethernet
00:11:43:71:16:f3
Mar 23 11:19:20 localhost kernel: ip_tables: (C) 2000-2002 Netfilter core team
Mar 23 11:19:32 localhost dhclient: Internet Systems Consortium DHCP Client V3.0.2
Mar 23 11:19:32 localhost dhclient: Copyright 2004 Internet Systems Consortium.
Mar 23 11:19:32 localhost dhclient: All rights reserved.
Mar 23 11:19:32 localhost dhclient: For info, please visit
http://www.isc.org/products/DHCP
Mar 23 11:19:32 localhost dhclient:
Mar 23 11:19:33 localhost dhclient: Listening on LPF/eth1/00:0e:35:e5:df:9a
Mar 23 11:19:33 localhost dhclient: Sending on   LPF/eth1/00:0e:35:e5:df:9a
Mar 23 11:19:33 localhost dhclient: Sending on   Socket/fallback
Mar 23 11:19:35 localhost dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port
67 interval 8
Mar 23 11:19:43 localhost dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port
67 interval 20
Mar 23 11:20:00 localhost dhclient: Internet Systems Consortium DHCP Client V3.0.2
Mar 23 11:20:00 localhost dhclient: Copyright 2004 Internet Systems Consortium.
Mar 23 11:20:00 localhost dhclient: All rights reserved.
Mar 23 11:20:00 localhost dhclient: For info, please visit
http://www.isc.org/products/DHCP
Mar 23 11:20:00 localhost dhclient:
Mar 23 11:20:01 localhost kernel: b44: dev17407: Link is down.
Mar 23 11:20:01 localhost dhclient: Listening on LPF/dev17407/00:11:43:71:16:f3
Mar 23 11:20:01 localhost dhclient: Sending on   LPF/dev17407/00:11:43:71:16:f3
Mar 23 11:20:01 localhost dhclient: Sending on   Socket/fallback
Mar 23 11:20:04 localhost kernel: irq 9: nobody cared!
Mar 23 11:20:04 localhost kernel:  [<c0150364>] __report_bad_irq+0x24/0x7f
Mar 23 11:20:04 localhost kernel:  [<c0150436>] note_interrupt+0x59/0x83
Mar 23 11:20:04 localhost kernel:  [<c014f8fa>] __do_IRQ+0x201/0x367
Mar 23 11:20:04 localhost kernel:  [<c01058ed>] do_IRQ+0x4a/0x82
Mar 23 11:20:04 localhost kernel:  =======================
Mar 23 11:20:04 localhost kernel:  [<f8b80df7>] init_stall_timer+0x6d/0x70
[uhci_hcd]
Mar 23 11:20:04 localhost kernel:  [<c0103b92>] common_interrupt+0x1a/0x20
Mar 23 11:20:04 localhost kernel:  [<c012825c>] __do_softirq+0x2c/0x8a
Mar 23 11:20:04 localhost kernel:  [<c01059f9>] do_softirq+0x3e/0x42
Mar 23 11:20:04 localhost kernel:  =======================
Mar 23 11:20:04 localhost kernel:  [<c01058f4>] do_IRQ+0x51/0x82
Mar 23 11:20:04 localhost dhclient: DHCPDISCOVER on dev17407 to 255.255.255.255
port 67 interval 3
Mar 23 11:20:04 localhost kernel:  [<c0103b92>] common_interrupt+0x1a/0x20
Mar 23 11:20:04 localhost kernel:  [<c024a0a2>] acpi_processor_idle+0x10e/0x24c
Mar 23 11:20:04 localhost kernel:  [<c01010a8>] cpu_idle+0x36/0x4b
Mar 23 11:20:04 localhost kernel:  [<c042a72a>] start_kernel+0x15d/0x1b7
Mar 23 11:20:04 localhost kernel:  [<c042a2fe>] unknown_bootoption+0x0/0x1cd
Mar 23 11:20:04 localhost kernel: handlers:
Mar 23 11:20:04 localhost kernel: [<c022f63f>] (acpi_irq+0x0/0x14)
Mar 23 11:20:04 localhost kernel: [<c02da2b5>] (usb_hcd_irq+0x0/0x52)
Mar 23 11:20:04 localhost kernel: [<f8bb51c8>] (ohci_irq_handler+0x0/0xd4d
[ohci1394])
Mar 23 11:20:04 localhost kernel: Disabling IRQ #9
Mar 23 11:20:05 localhost kernel: b44: dev17407: Link is up at 100 Mbps, full
duplex.
Mar 23 11:20:05 localhost kernel: b44: dev17407: Flow control is on for TX and
on for RX.
Mar 23 11:20:07 localhost dhclient: DHCPDISCOVER on dev17407 to 255.255.255.255
port 67 interval 3
Mar 23 11:20:10 localhost dhclient: DHCPDISCOVER on dev17407 to 255.255.255.255
port 67 interval 7
Mar 23 11:20:17 localhost dhclient: DHCPDISCOVER on dev17407 to 255.255.255.255
port 67 interval 11



Expected results:


Additional info:

Platform is Dell Inspiron 9300 (PCI Express) ; the driver works OK with the
former model (Dell Inspiron 9200), with an identical embedded Broadcom BCM4401-B0.


# lspci

00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express
Processor to DRAM Controller (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 915GM/PM Express PCI Express Root
Port (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #4 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d3)
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW
(ICH6 Family) AC'97 Audio Controller (rev 03)00:1e.3 Modem: Intel Corporation
82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Modem Controller (rev 03)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 03)
00:1f.2 IDE interface: Intel Corporation 82801FBM (ICH6M) SATA Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus
Controller (rev 03)
01:00.0 VGA compatible controller: nVidia Corporation NV41.8 (rev a2)
03:00.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)
03:01.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev b3)
03:01.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C552 IEEE 1394 Controller (rev 08)
03:01.2 Class 0805: Ricoh Co Ltd: Unknown device 0822 (rev 17)
03:03.0 Network controller: Intel Corporation PRO/Wireless 2915ABG MiniPCI
Adapter (rev 05)
Comment 1 Didier 2005-04-13 06:05:27 EDT
Problem still exists with rawhide kernel 2.6.11-1.1236_FC4.

Interim workaround : kernel boot parameter "acpi = noirq" ; I'm quite oblivious
of the impact of this parameter on the other hardware IRQ routing.
Comment 2 Didier 2005-05-19 08:17:56 EDT
Kernel 2.6.11-1.1286_FC4 : when removing kernel boot parameter "acpi = noirq",
network traffic does not induce an oops anymore, but the card fails to connect a
DHCP server :


May 19 13:37:58 dmbr042 kernel: b44.c:v0.95 (Aug 3, 2004)
May 19 13:37:58 dmbr042 kernel: ACPI: PCI Interrupt 0000:03:00.0[A] -> Link
[LNKA] -> GSI 11 (level, low) -> IRQ 11
May 19 13:37:58 dmbr042 kernel: eth0: Broadcom 4400 10/100BaseT Ethernet
00:11:43:71:16:f3
May 19 13:38:17 dmbr042 dhclient: Internet Systems Consortium DHCP Client V3.0.2
May 19 13:38:17 dmbr042 dhclient: Copyright 2004 Internet Systems Consortium.
May 19 13:38:17 dmbr042 dhclient: All rights reserved.
May 19 13:38:17 dmbr042 dhclient: For info, please visit
http://www.isc.org/products/DHCP
May 19 13:38:17 dmbr042 dhclient:
May 19 13:38:18 dmbr042 kernel: b44: eth0: Link is down.
May 19 13:38:18 dmbr042 dhclient: Listening on LPF/eth0/00:11:43:71:16:f3
May 19 13:38:18 dmbr042 dhclient: Sending on   LPF/eth0/00:11:43:71:16:f3
May 19 13:38:18 dmbr042 dhclient: Sending on   Socket/fallback
May 19 13:38:20 dmbr042 kernel: b44: eth0: Link is up at 100 Mbps, full duplex.
May 19 13:38:20 dmbr042 kernel: b44: eth0: Flow control is on for TX and on for RX.
May 19 13:38:22 dmbr042 dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 5
May 19 13:38:27 dmbr042 dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 13


Comment 3 Didier 2005-05-23 14:55:35 EDT
Unfortunately, contrary to comment #2, network traffic on the b44 interface
oopses kernel build 1340 again :


May 23 20:38:01 dmbr042 kernel: b44.c:v0.95 (Aug 3, 2004)
May 23 20:38:01 dmbr042 kernel: ACPI: PCI Interrupt 0000:03:00.0[A] -> Link
[LNKA] -> GSI 11 (level, low) -> IRQ 11
May 23 20:38:01 dmbr042 kernel: eth0: Broadcom 4400 10/100BaseT Ethernet
00:11:43:71:16:f3
May 23 20:38:13 dmbr042 dhclient: Internet Systems Consortium DHCP Client V3.0.2
May 23 20:38:13 dmbr042 dhclient: Copyright 2004 Internet Systems Consortium.
May 23 20:38:13 dmbr042 dhclient: All rights reserved.
May 23 20:38:13 dmbr042 dhclient: For info, please visit
http://www.isc.org/products/DHCP
May 23 20:38:13 dmbr042 dhclient:
May 23 20:38:13 dmbr042 kernel: audit(1116873493.143:0): avc:  denied  { read }
for  pid=1939 comm="dhclient" name=dhclient.leases dev=sda7 ino=1232724
scontext=system_u:system_r:dhcpc_t tcontext=root:object_r:dhcp_state_t tclass=file
May 23 20:38:13 dmbr042 kernel: audit(1116873493.147:0): avc:  denied  { write }
for  pid=1939 comm="dhclient" name=dhclient.leases dev=sda7 ino=1232724
scontext=system_u:system_r:dhcpc_t tcontext=root:object_r:dhcp_state_t tclass=file
May 23 20:38:13 dmbr042 kernel: audit(1116873493.149:0): avc:  denied  { getattr
} for  pid=1939 comm="dhclient" name=dhclient.leases dev=sda7 ino=1232724
scontext=system_u:system_r:dhcpc_t tcontext=root:object_r:dhcp_state_t tclass=file
May 23 20:38:14 dmbr042 kernel: b44: eth0: Link is down.
May 23 20:38:14 dmbr042 dhclient: Listening on LPF/eth0/00:11:43:71:16:f3
May 23 20:38:14 dmbr042 dhclient: Sending on   LPF/eth0/00:11:43:71:16:f3
May 23 20:38:14 dmbr042 dhclient: Sending on   Socket/fallback
May 23 20:38:16 dmbr042 dhclient: DHCPREQUEST on eth0 to 255.255.255.255 port 67
May 23 20:38:24 dmbr042 dhclient: DHCPREQUEST on eth0 to 255.255.255.255 port 67
May 23 20:38:25 dmbr042 kernel: b44: eth0: Link is up at 100 Mbps, full duplex.
May 23 20:38:25 dmbr042 kernel: b44: eth0: Flow control is on for TX and on for RX.
May 23 20:38:32 dmbr042 dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 8
May 23 20:38:34 dmbr042 kernel: irq 9: nobody cared!
May 23 20:38:34 dmbr042 kernel:  [<c01516c4>] __report_bad_irq+0x24/0x7f
May 23 20:38:34 dmbr042 kernel:  [<c0151796>] note_interrupt+0x59/0x83
May 23 20:38:34 dmbr042 kernel:  [<c0150a5a>] __do_IRQ+0x201/0x367
May 23 20:38:34 dmbr042 kernel:  [<c0105b1d>] do_IRQ+0x4a/0x82
May 23 20:38:34 dmbr042 kernel:  =======================
May 23 20:38:34 dmbr042 kernel:  [<c012d4a1>] process_timeout+0x0/0x5
May 23 20:38:34 dmbr042 kernel:  [<c0103c0e>] common_interrupt+0x1a/0x20
May 23 20:38:34 dmbr042 kernel:  [<c01282cc>] __do_softirq+0x2c/0x8a
May 23 20:38:34 dmbr042 kernel:  [<c0105c29>] do_softirq+0x3e/0x42
May 23 20:38:34 dmbr042 kernel:  =======================
May 23 20:38:34 dmbr042 kernel:  [<c0105b24>] do_IRQ+0x51/0x82
May 23 20:38:34 dmbr042 kernel:  [<c0103c0e>] common_interrupt+0x1a/0x20
May 23 20:38:34 dmbr042 kernel:  [<c015adde>] check_poison_obj+0x13b/0x17c
May 23 20:38:34 dmbr042 kernel:  [<c015cc10>]
cache_alloc_debugcheck_after+0x68/0x11d
May 23 20:38:34 dmbr042 kernel:  [<c015d08c>] kmem_cache_alloc+0x4d/0x78
May 23 20:38:34 dmbr042 kernel:  [<f8a1ea6b>] new_handle+0x13/0x33 [jbd]
May 23 20:38:34 dmbr042 kernel:  [<f8a1ea6b>] new_handle+0x13/0x33 [jbd]
May 23 20:38:34 dmbr042 kernel:  [<f8a1eb06>] journal_start+0x7b/0xbb [jbd]
May 23 20:38:34 dmbr042 kernel:  [<f8a209d9>] journal_dirty_metadata+0x1e3/0x365
[jbd]
May 23 20:38:34 dmbr042 kernel:  [<f8a61fba>] ext3_prepare_write+0x0/0x135 [ext3]
May 23 20:38:34 dmbr042 kernel:  [<f8a61fec>] ext3_prepare_write+0x32/0x135 [ext3]
May 23 20:38:34 dmbr042 kernel:  [<f8a61fba>] ext3_prepare_write+0x0/0x135 [ext3]
May 23 20:38:34 dmbr042 kernel:  [<c015452e>]
generic_file_buffered_write+0x27c/0x5df
May 23 20:38:34 dmbr042 kernel:  [<c01aca28>] __mark_inode_dirty+0x28/0x2f0
May 23 20:38:34 dmbr042 kernel:  [<c01281e4>] current_fs_time+0x4e/0x69
May 23 20:38:34 dmbr042 kernel:  [<c01a1078>] inode_update_time+0x2d/0x99
May 23 20:38:34 dmbr042 kernel:  [<c0154b14>]
__generic_file_aio_write_nolock+0x283/0x49d
May 23 20:38:34 dmbr042 kernel:  [<c0154e49>] __generic_file_write_nolock+0x89/0xa3
May 23 20:38:34 dmbr042 kernel:  [<c0157912>] __alloc_pages+0xd1/0x3df
May 23 20:38:34 dmbr042 kernel:  [<c0375cb7>] schedule_timeout+0xf1/0x124
May 23 20:38:34 dmbr042 kernel:  [<c0194814>] __pollwait+0x63/0x96
May 23 20:38:34 dmbr042 kernel:  [<c0140022>] autoremove_wake_function+0x0/0x37
May 23 20:38:34 dmbr042 kernel:  [<c0155191>] generic_file_writev+0x46/0xb2
May 23 20:38:34 dmbr042 kernel:  [<c015514b>] generic_file_writev+0x0/0xb2
May 23 20:38:34 dmbr042 kernel:  [<c017ce8f>] do_readv_writev+0x17f/0x1fd
May 23 20:38:34 dmbr042 kernel:  [<c017c92a>] do_sync_write+0x0/0xec
May 23 20:38:34 dmbr042 kernel:  [<c017cf9b>] vfs_writev+0x3d/0x53
May 23 20:38:34 dmbr042 kernel:  [<c017d08f>] sys_writev+0x41/0x9d
May 23 20:38:34 dmbr042 kernel:  [<c0103a51>] syscall_call+0x7/0xb
May 23 20:38:34 dmbr042 kernel: handlers:
May 23 20:38:34 dmbr042 kernel: [<c0230adf>] (acpi_irq+0x0/0x14)
May 23 20:38:34 dmbr042 kernel: [<c02d42de>] (usb_hcd_irq+0x0/0x52)
May 23 20:38:34 dmbr042 kernel: [<f8bf4351>] (ohci_irq_handler+0x0/0xce2 [ohci1394])
May 23 20:38:34 dmbr042 kernel: Disabling IRQ #9
May 23 20:38:40 dmbr042 dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 21
Comment 4 John W. Linville 2005-05-25 16:32:15 EDT
Have you tried "acpi=off" (rather than "acpi=noirq") with this system?  Please 
do so and post the results here.  Thanks! 
Comment 5 Didier 2005-05-26 04:31:15 EDT
Tested with kernel-2.6.11-1.1353_FC4, 2 scenario's (each one showing
/var/log/messages extract with "# dhclient eth0" in single-user boot) :


1. acpi=off : (yields same results as acpi=noirq, i.e. It Just Works)


May 26 10:06:26 dmbr042 dhclient: Internet Systems Consortium DHCP Client V3.0.2
May 26 10:06:26 dmbr042 dhclient: Copyright 2004 Internet Systems Consortium.
May 26 10:06:26 dmbr042 dhclient: All rights reserved.
May 26 10:06:26 dmbr042 dhclient: For info, please visit
http://www.isc.org/products/DHCP
May 26 10:06:26 dmbr042 dhclient:
May 26 10:06:26 dmbr042 kernel: audit(1117094786.742:2): avc:  denied  { read }
for  pid=1766 comm="dhclient" name=dhclient.leases dev=sda7 ino=1232724
scontext=system_u:system_r:dhcpc_t tcontext=root:object_r:dhcp_state_t tclass=file
May 26 10:06:26 dmbr042 kernel: audit(1117094786.780:3): avc:  denied  { write }
for  pid=1766 comm="dhclient" name=dhclient.leases dev=sda7 ino=1232724
scontext=system_u:system_r:dhcpc_t tcontext=root:object_r:dhcp_state_t tclass=file
May 26 10:06:26 dmbr042 kernel: audit(1117094786.783:4): avc:  denied  { getattr
} for  pid=1766 comm="dhclient" name=dhclient.leases dev=sda7 ino=1232724
scontext=system_u:system_r:dhcpc_t tcontext=root:object_r:dhcp_state_t tclass=file
May 26 10:06:27 dmbr042 kernel: b44: eth0: Link is down.
May 26 10:06:27 dmbr042 dhclient: Listening on LPF/eth0/00:11:43:71:16:f3
May 26 10:06:27 dmbr042 dhclient: Sending on   LPF/eth0/00:11:43:71:16:f3
May 26 10:06:27 dmbr042 dhclient: Sending on   Socket/fallback
May 26 10:06:29 dmbr042 dhclient: DHCPREQUEST on eth0 to 255.255.255.255 port 67
May 26 10:06:29 dmbr042 kernel: b44: eth0: Link is up at 100 Mbps, full duplex.
May 26 10:06:29 dmbr042 kernel: b44: eth0: Flow control is on for TX and on for RX.
May 26 10:06:35 dmbr042 dhclient: DHCPREQUEST on eth0 to 255.255.255.255 port 67
May 26 10:06:35 dmbr042 dhclient: DHCPACK from 157.193.200.1
May 26 10:06:35 dmbr042 kernel: audit(1117094795.155:5): avc:  denied  { read }
for  pid=1821 comm="cp" name=config dev=sda7 ino=777638
scontext=system_u:system_r:dhcpc_t tcontext=user_u:object_r:selinux_config_t
tclass=fileMay 26 10:06:35 dmbr042 kernel: audit(1117094795.158:6): avc:  denied
 { getattr } for  pid=1821 comm="cp" name=config dev=sda7 ino=777638
scontext=system_u:system_r:dhcpc_t tcontext=user_u:object_r:selinux_config_t
tclass=file
May 26 10:06:35 dmbr042 NET[1827]: /sbin/dhclient-script : updated /etc/resolv.conf
May 26 10:06:35 dmbr042 dhclient: bound to 157.193.200.18 -- renewal in 828 seconds.



2. no acpi=off/noirq parameter in kernel boot : (results in oops)


May 26 10:04:10 dmbr042 dhclient: Internet Systems Consortium DHCP Client V3.0.2
May 26 10:04:10 dmbr042 dhclient: Copyright 2004 Internet Systems Consortium.
May 26 10:04:10 dmbr042 dhclient: All rights reserved.
May 26 10:04:10 dmbr042 dhclient: For info, please visit
http://www.isc.org/products/DHCP
May 26 10:04:10 dmbr042 dhclient:
May 26 10:04:10 dmbr042 kernel: audit(1117094650.216:2): avc:  denied  { read }
for  pid=1908 comm="dhclient" name=dhclient.leases dev=sda7 ino=1232724
scontext=system_u:system_r:dhcpc_t tcontext=root:object_r:dhcp_state_t tclass=file
May 26 10:04:10 dmbr042 kernel: audit(1117094650.256:3): avc:  denied  { write }
for  pid=1908 comm="dhclient" name=dhclient.leases dev=sda7 ino=1232724
scontext=system_u:system_r:dhcpc_t tcontext=root:object_r:dhcp_state_t tclass=file
May 26 10:04:10 dmbr042 kernel: audit(1117094650.259:4): avc:  denied  { getattr
} for  pid=1908 comm="dhclient" name=dhclient.leases dev=sda7 ino=1232724
scontext=system_u:system_r:dhcpc_t tcontext=root:object_r:dhcp_state_t tclass=file
May 26 10:04:11 dmbr042 kernel: b44: eth0: Link is down.
May 26 10:04:11 dmbr042 dhclient: Listening on LPF/eth0/00:11:43:71:16:f3
May 26 10:04:11 dmbr042 dhclient: Sending on   LPF/eth0/00:11:43:71:16:f3
May 26 10:04:11 dmbr042 dhclient: Sending on   Socket/fallback
May 26 10:04:15 dmbr042 kernel: irq 9: nobody cared!
May 26 10:04:15 dmbr042 kernel:  [<c01516c4>] __report_bad_irq+0x24/0x7f
May 26 10:04:15 dmbr042 kernel:  [<c0151796>] note_interrupt+0x59/0x83
May 26 10:04:15 dmbr042 kernel:  [<c0150a5a>] __do_IRQ+0x201/0x367
May 26 10:04:15 dmbr042 kernel:  [<c0105b1d>] do_IRQ+0x4a/0x82
May 26 10:04:15 dmbr042 kernel:  =======================
May 26 10:04:15 dmbr042 kernel:  [<f8bbebe6>] stall_callback+0x0/0x356 [uhci_hcd]
May 26 10:04:15 dmbr042 kernel:  [<c0103c0e>] common_interrupt+0x1a/0x20
May 26 10:04:15 dmbr042 kernel:  [<c01282cc>] __do_softirq+0x2c/0x8a
May 26 10:04:15 dmbr042 kernel:  [<c0105c29>] do_softirq+0x3e/0x42
May 26 10:04:15 dmbr042 kernel:  =======================
May 26 10:04:15 dmbr042 kernel:  [<c0105b24>] do_IRQ+0x51/0x82
May 26 10:04:15 dmbr042 dhclient: DHCPREQUEST on eth0 to 255.255.255.255 port 67
May 26 10:04:15 dmbr042 kernel:  [<c0103c0e>] common_interrupt+0x1a/0x20
May 26 10:04:15 dmbr042 kernel:  [<c024b68a>] acpi_processor_idle+0x162/0x24c
May 26 10:04:15 dmbr042 kernel:  [<c01010a6>] cpu_idle+0x34/0x4c
May 26 10:04:15 dmbr042 kernel:  [<c042672a>] start_kernel+0x15f/0x1b9
May 26 10:04:15 dmbr042 kernel:  [<c04262fe>] unknown_bootoption+0x0/0x1cd
May 26 10:04:15 dmbr042 kernel: handlers:
May 26 10:04:15 dmbr042 kernel: [<c0230acf>] (acpi_irq+0x0/0x14)
May 26 10:04:15 dmbr042 kernel: [<c02d430e>] (usb_hcd_irq+0x0/0x52)
May 26 10:04:15 dmbr042 kernel: [<f8bf4351>] (ohci_irq_handler+0x0/0xce2 [ohci1394])
May 26 10:04:15 dmbr042 kernel: Disabling IRQ #9
May 26 10:04:15 dmbr042 kernel: b44: eth0: Link is up at 100 Mbps, full duplex.
May 26 10:04:15 dmbr042 kernel: b44: eth0: Flow control is on for TX and on for RX.
May 26 10:04:21 dmbr042 dhclient: DHCPREQUEST on eth0 to 255.255.255.255 port 67
May 26 10:04:34 dmbr042 dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 8
May 26 10:04:42 dmbr042 dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 12

Comment 6 John W. Linville 2005-05-26 09:20:21 EDT
According to comment 3, "acpi=noirq" still had problems w/ network 
connectivity, and still eventually oopsed.  Does "It Just Works" in comment 5 
indicate that network connectivity is fine w/ "acpi=off"? 
Comment 7 Didier 2005-05-26 09:42:28 EDT
To clarify :

* Successful network connection with all kernels if parameter "acpi=off" or
"acpi=noirq" is invoked ;


* Never connectivity when the "acpi=off/noirq" parameter is absent, and
additionally :
- network traffic on kernels 1191, 1236, 1340 and 1353 results in an oops ;
- comment #3 : no oops (phase of the moon ?) with kernel 1286, but as said, no
connectivity either.


In other words : without "acpi=off" or "acpi=noirq", the system never obtains
network connectivity, and the kernel almost always (except build 1286, may be a
lucky shot) oopses.


Comment 8 John W. Linville 2005-05-26 15:28:46 EDT
I think this amounts to an ACPI interrupt routing problem.  Any chance you can 
get a BIOS update?  Otherwise, I think you will have to use one or the other 
of the "acpi=" options at least for the time being. 
 
Other than that, a misrouted IRQ probably shouldn't cause an oops.  As I 
suspect that ACPI is doing something funny here, I'm going to pass this to 
someone whom I believe knows more about ACPI than I do... :-) 
Comment 9 Didier 2005-05-27 05:59:33 EDT
Unfortunately, this being a relatively recent notebook model (released March
2005), I frequently visit Dell's driver update pages, but no BIOS updates thus far.

On the other hand, I suppose the kernel shouldn't oops with or without a bad
ACPI BIOS, should it ?
(needless to say because irrelevant, the network card functions under WinXP with
ACPI).

Do I need to dump the DSDT ? If so, how ?
Comment 10 Dave Jones 2005-06-27 19:15:44 EDT
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done
so).

Thanks.
Comment 11 Didier 2005-07-01 04:30:59 EDT
Tested with 2.6.11-1.1369_FC4.

Behaviour has again reverted to the situation exactly as described in comment
#2, i.e. without kernel parameter "acpi=noirq", the system does not oops, but
does not connect to the network either.
Comment 12 Didier 2005-07-04 15:08:25 EDT
Retested with 2.6.12-1.1387_FC4 : contrary to 2.6.11-1.1286_FC4 (comment #2) and
2.6.11-1.1369_FC4 (comment #11), this kernel oopses again if "acpi=noirq" kernel
parameter is absent :


Jul  4 17:34:03 dmbr042 dhclient: Internet Systems Consortium DHCP Client V3.0.2
Jul  4 17:34:03 dmbr042 dhclient: Copyright 2004 Internet Systems Consortium.
Jul  4 17:34:03 dmbr042 dhclient: All rights reserved.
Jul  4 17:34:03 dmbr042 dhclient: For info, please visit
http://www.isc.org/products/DHCP
Jul  4 17:34:03 dmbr042 dhclient:
Jul  4 17:34:03 dmbr042 kernel: audit(1120491243.341:2): avc:  denied  { read }
for  pid=3592 comm="dhclient" name="dhclient.leases" dev=sda7 ino=1232724
scontext=system_u:system_r:dhcpc_t tcontext=root:object_r:dhcp_state_t tclass=file
Jul  4 17:34:03 dmbr042 kernel: audit(1120491243.368:3): avc:  denied  { write }
for  pid=3592 comm="dhclient" name="dhclient.leases" dev=sda7 ino=1232724
scontext=system_u:system_r:dhcpc_t tcontext=root:object_r:dhcp_state_t tclass=file
Jul  4 17:34:03 dmbr042 kernel: audit(1120491243.370:4): avc:  denied  { getattr
} for  pid=3592 comm="dhclient" name="dhclient.leases" dev=sda7 ino=1232724
scontext=system_u:system_r:dhcpc_t tcontext=root:object_r:dhcp_state_t tclass=file
Jul  4 17:34:04 dmbr042 kernel: b44: eth0: Link is down.
Jul  4 17:34:04 dmbr042 dhclient: Listening on LPF/eth0/00:11:43:71:16:f3
Jul  4 17:34:04 dmbr042 dhclient: Sending on   LPF/eth0/00:11:43:71:16:f3
Jul  4 17:34:04 dmbr042 dhclient: Sending on   Socket/fallback
Jul  4 17:34:08 dmbr042 kernel: irq 9: nobody cared!
Jul  4 17:34:08 dmbr042 kernel:  [<c0151674>] __report_bad_irq+0x24/0x7f
Jul  4 17:34:08 dmbr042 kernel:  [<c0151746>] note_interrupt+0x59/0x83
Jul  4 17:34:08 dmbr042 kernel:  [<c0150a20>] __do_IRQ+0x1f7/0x347
Jul  4 17:34:08 dmbr042 kernel:  [<c0105b1d>] do_IRQ+0x4a/0x82
Jul  4 17:34:08 dmbr042 kernel:  =======================
Jul  4 17:34:08 dmbr042 kernel:  [<c027c53b>] i8042_timer_func+0x0/0xb
Jul  4 17:34:08 dmbr042 kernel:  [<c0103c0e>] common_interrupt+0x1a/0x20
Jul  4 17:34:08 dmbr042 kernel:  [<c01282bc>] __do_softirq+0x2c/0x8a
Jul  4 17:34:08 dmbr042 kernel:  [<c0105c29>] do_softirq+0x3e/0x42
Jul  4 17:34:08 dmbr042 kernel:  =======================
Jul  4 17:34:08 dmbr042 kernel:  [<c0105b24>] do_IRQ+0x51/0x82
Jul  4 17:34:08 dmbr042 dhclient: DHCPREQUEST on eth0 to 255.255.255.255 port 67
Jul  4 17:34:08 dmbr042 kernel:  [<c0103c0e>] common_interrupt+0x1a/0x20
Jul  4 17:34:08 dmbr042 kernel:  [<c024a64a>] acpi_processor_idle+0x10e/0x24c
Jul  4 17:34:08 dmbr042 kernel:  [<c01010a6>] cpu_idle+0x34/0x4c
Jul  4 17:34:08 dmbr042 kernel:  [<c042170a>] start_kernel+0x15d/0x1b7
Jul  4 17:34:08 dmbr042 kernel:  [<c04212f7>] unknown_bootoption+0x0/0x1b6
Jul  4 17:34:08 dmbr042 kernel: handlers:
Jul  4 17:34:08 dmbr042 kernel: [<c022faff>] (acpi_irq+0x0/0x14)
Jul  4 17:34:08 dmbr042 kernel: [<c02d145e>] (usb_hcd_irq+0x0/0x52)
Jul  4 17:34:08 dmbr042 kernel: [<f8be3351>] (ohci_irq_handler+0x0/0xce2 [ohci1394])
Jul  4 17:34:08 dmbr042 kernel: Disabling IRQ #9
Jul  4 17:34:08 dmbr042 kernel: b44: eth0: Link is up at 100 Mbps, full duplex.
Jul  4 17:34:08 dmbr042 kernel: b44: eth0: Flow control is on for TX and on for RX.
Jul  4 17:34:16 dmbr042 dhclient: DHCPREQUEST on eth0 to 255.255.255.255 port 67
Jul  4 17:34:26 dmbr042 dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 3
Jul  4 17:34:32 dmbr042 last message repeated 2 times
Comment 13 Dave Jones 2005-07-15 17:35:25 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 14 Didier 2005-08-14 16:46:59 EDT
Tested with kernel-2.6.12-1.1398_FC4 ; resolved :
that is, networking functions with b44 module (and without refraining to
'acpi=noirq' kernel command parameter).

(Note : immediately before testing, I upgraded the Dell i9300 BIOS from A02 to A04.)


Note You need to log in before you can comment on or make changes to this bug.